{
  "name": "firstack",
  "version": "1.0.0",
  "type": "module",
  "description": "Firstack is a template repo for a tech stack.",
  "main": "index.js",
  "scripts": {
    "dev-docker": "docker compose --profile dev up -d",
    "dev-server": "echo \"starting server\" && npm run withenv ./src/server/index.ts",
    "dev-watch-client": "npm run withenv ./scripts/watch.ts",
    "dev-migrate": "source ./.env && pg-migrations apply --directory ./src/database/migrations",
    "prod-migrate": "pg-migrations apply --directory ./src/database/migrations",
    "prod-build-client": "npm run withenv ./scripts/build.ts",
    "prod-docker": "docker compose --profile prod up -d",
    "prod-start": "echo \"building frontend\" && npm run prod-build-client && echo \"${DATABASE_URL}\" && echo \"running migrations\" && npm run prod-migrate && echo \"starting server\" && npm run withenv ./src/server/index.ts",
    "withenv": "tsx ./scripts/run-with-env.ts",
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "repository": {
    "type": "git",
    "url": "https://git.playbox.link/dylan/firstack.git"
  },
  "author": "",
  "license": "UNLICENSED",
  "dependencies": {
    "@databases/pg": "^5.4.1",
    "@fastify/cookie": "^9.0.4",
    "@fastify/static": "^6.10.2",
    "@firebox/components": "^0.1.7",
    "@firebox/tsutil": "^0.1.2",
    "@sinclair/typebox": "^0.31.5",
    "@types/katex": "^0.16.7",
    "dotenv": "^16.3.1",
    "fastify": "^4.22.0",
    "katex": "^0.16.10",
    "tsx": "^4.7.2"
  },
  "devDependencies": {
    "@databases/pg-migrations": "^5.0.2",
    "@emotion/css": "^11.11.2",
    "@emotion/react": "^11.11.1",
    "@types/react": "^18.2.21",
    "@types/react-dom": "^18.2.7",
    "esbuild": "^0.19.2",
    "nodemon": "^3.0.1",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-icons": "^4.10.1",
    "ts-node": "^10.9.1",
    "typescript": "^5.2.2"
  }
}
